/*
Copyright (c) 2008-2009, Johannes Schlüter
All rights reserved.

Redistribution and use in source and binary forms, with or without modification,
are permitted provided that the following conditions are met:
  * Redistributions of source code must retain the above copyright notice, this
    list of conditions and the following disclaimer.
  * Redistributions in binary form must reproduce the above copyright notice,
    this list of conditions and the following disclaimer in the documentation
    and/or other materials provided with the distribution.
  * Neither the name of Johannes Schlüter nor the names of the contributors may
    be used to endorse or promote products derived from this software without
   specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

This product includes PHP software, freely available from <http://www.php.net/software/>
PHP includes the Zend Engine, freely available at <http://www.zend.com>.
*/


#ifndef _PHP_CALL_H
#define	_PHP_CALL_H

void pse_call_php_method(zval **obj, zend_class_entry *obj_ce, zend_function **fn_proxy, const char *fname, zval **retval TSRMLS_DC, zval* arg1=0, zval* arg2=0);
void pse_call_php_method(zval **obj, zend_class_entry *obj_ce, zend_function **fn_proxy, const char *fname, zval **retval TSRMLS_DC, long arg1, zval* arg2=0);
void pse_call_php_method(zval **obj, zend_class_entry *obj_ce, zend_function **fn_proxy, const char *fname, zval **retval TSRMLS_DC, const char *arg1, zval* arg2=0);
void pse_call_php_method(zval **obj, zend_class_entry *obj_ce, zend_function **fn_proxy, const char *fname, zval **retval TSRMLS_DC, const char*arg1, const char*arg2);

#endif	/* _PHP_CALL_H */

